=== debian/changelog ===
pineapple-pictures (0.4.1-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:04:06 +0000

pineapple-pictures (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 06 Feb 2021 19:27:06 +0000

pineapple-pictures (0.4.0-2) unstable; urgency=medium

  * Enable metadata viewing with libexiv2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Jan 2021 16:46:14 +0000

pineapple-pictures (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
    - Update copyright.
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 26 Dec 2020 20:02:28 +0000

pineapple-pictures (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4
    - Remove patches applied upstream.
  * Add autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 14 Nov 2020 23:33:17 +0000

pineapple-pictures (0.3.3-2) unstable; urgency=medium

  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 28 Oct 2020 11:18:25 +0000

pineapple-pictures (0.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #972376)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 24 Oct 2020 19:16:30 +0100
