## pineapple-pictures 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
     app/metadatamodel.cpp
     app/metadatadialog.cpp
     app/exiv2wrapper.cpp
+    app/playlistmanager.cpp
 )
 
 set (PPIC_HEADER_FILES
@@ -61,6 +62,7 @@
     app/metadatamodel.h
     app/metadatadialog.h
     app/exiv2wrapper.h
+    app/playlistmanager.h
 )
 
 set (PPIC_QRC_FILES
@@ -74,7 +76,7 @@
 set (EXE_NAME ppic)
 
 # Translation
-file (GLOB PPIC_TS_FILES translations/*.ts)
+file (GLOB PPIC_TS_FILES app/translations/*.ts)
 set (PPIC_CPP_FILES_FOR_I18N ${PPIC_CPP_FILES})
 
 qt5_create_translation(PPIC_QM_FILES ${PPIC_CPP_FILES_FOR_I18N} ${PPIC_TS_FILES})
@@ -199,7 +201,7 @@
 
     # install app metadata file for appstream (and some other stuff using this metadata like snapcraft)
     install (
-        FILES dist/appstream/net.blumia.pineapple-pictures.appdata.xml
+        FILES dist/appstream/net.blumia.pineapple-pictures.metainfo.xml
         DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo"
     )
 endif()
