=== debian/changelog ===
pineapple-pictures (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 23 Dec 2021 18:20:48 +0000

pineapple-pictures (0.5.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ Sudip Mukherjee ]
  * New upstream version 0.5.2
  * Update Standards-Version to 4.6.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 14 Nov 2021 22:15:59 +0000

pineapple-pictures (0.5.1-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 0.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 21 Aug 2021 20:03:42 +0100

pineapple-pictures (0.5.0-1) experimental; urgency=medium

  * New upstream version 0.5.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 01 Aug 2021 00:04:34 +0100

pineapple-pictures (0.4.4-1) experimental; urgency=medium

  * New upstream version 0.4.4
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 26 Jun 2021 23:07:40 +0100

pineapple-pictures (0.4.2-1) experimental; urgency=medium

  * New upstream version 0.4.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 02 Apr 2021 21:57:34 +0100
