=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pineapple-pictures
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev,
  libqt5svg5-dev, qttools5-dev, libexiv2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/BLumia/pineapple-pictures
 Vcs-Browser: https://salsa.debian.org/sudip/pineapple-pictures
 Vcs-Git: https://salsa.debian.org/sudip/pineapple-pictures.git
