## pineapple-pictures 0.6.1

=== debian/changelog ===
pineapple-pictures (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 03 Jun 2022 11:35:03 +0100

pineapple-pictures (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 20 Mar 2022 00:25:49 +0000
