## pineapple-pictures 0.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 Gary Wang <wzc782970009@gmail.com>
+#
+# SPDX-License-Identifier: MIT
+
 project (pineapple-pictures)
 
 cmake_minimum_required (VERSION 3.9.5)
@@ -13,7 +17,10 @@
 
 option (EXIV2_METADATA_SUPPORT "Better image metadata support via libexiv2" ON)
 
-find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets Svg LinguistTools)
+find_package(Qt5 ${QT_MINIMUM_VERSION} REQUIRED
+    COMPONENTS Widgets Svg LinguistTools
+    OPTIONAL_COMPONENTS DBus
+)
 
 if (EXIV2_METADATA_SUPPORT)
     find_package(LibExiv2)
@@ -109,6 +116,15 @@
     )
 endif ()
 
+if (Qt5DBus_FOUND)
+    target_link_libraries (${EXE_NAME}
+        Qt5::DBus
+    )
+    target_compile_definitions(${EXE_NAME} PRIVATE
+        HAVE_QTDBUS
+    )
+endif()
+
 # Extra build settings
 if (WIN32)
     set_property (
