=== debian/changelog ===
pineapple-pictures (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
    - Update copyright.
  * Update Standards-Version to 4.6.1.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 02 Jan 2023 14:09:40 +0000
