=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev,
  libqt5svg5-dev, qttools5-dev, libexiv2-dev
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/BLumia/pineapple-pictures
 Vcs-Browser: https://salsa.debian.org/sudip/pineapple-pictures
 Vcs-Git: https://salsa.debian.org/sudip/pineapple-pictures.git
