## pineapple-pictures 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2022 Gary Wang <wzc782970009@gmail.com>
+# SPDX-FileCopyrightText: 2022 - 2023 Gary Wang <git@blumia.net>
 #
 # SPDX-License-Identifier: MIT
 
@@ -11,16 +11,32 @@
 include (GNUInstallDirs)
 include (FeatureSummary)
 
+option (EXIV2_METADATA_SUPPORT "Better image metadata support via libexiv2" ON)
+option (PREFER_QT_5 "Prefer to use Qt 5 even if we have Qt 6" ON)
+
 set (CMAKE_AUTOMOC ON)
 set (CMAKE_AUTORCC ON)
-set (QT_MINIMUM_VERSION "5.10")
-
-option (EXIV2_METADATA_SUPPORT "Better image metadata support via libexiv2" ON)
-
-find_package(Qt5 ${QT_MINIMUM_VERSION} REQUIRED
+
+if (PREFER_QT_5)
+    find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)
+else ()
+    find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core)
+endif ()
+
+if (${QT_VERSION_MAJOR} EQUAL "5")
+    set (QT_MINIMUM_VERSION "5.15.2")
+else ()
+    set (QT_MINIMUM_VERSION "6.4")
+endif ()
+
+find_package(Qt${QT_VERSION_MAJOR} ${QT_MINIMUM_VERSION} REQUIRED
     COMPONENTS Widgets Svg LinguistTools
     OPTIONAL_COMPONENTS DBus
 )
+
+if (${QT_VERSION_MAJOR} EQUAL "6")
+    find_package(Qt${QT_DEFAULT_MAJOR_VERSION} ${QT_MINIMUM_VERSION} CONFIG REQUIRED SvgWidgets)
+endif ()
 
 if (EXIV2_METADATA_SUPPORT)
     find_package(LibExiv2)
@@ -86,7 +102,7 @@
 file (GLOB PPIC_TS_FILES app/translations/*.ts)
 set (PPIC_CPP_FILES_FOR_I18N ${PPIC_CPP_FILES})
 
-qt5_create_translation(PPIC_QM_FILES ${PPIC_CPP_FILES_FOR_I18N} ${PPIC_TS_FILES})
+qt_create_translation(PPIC_QM_FILES ${PPIC_CPP_FILES_FOR_I18N} ${PPIC_TS_FILES})
 
 if (WIN32)
     list(APPEND PPIC_RC_FILES assets/pineapple-pictures.rc)
@@ -100,7 +116,10 @@
     ${PPIC_QM_FILES}
 )
 
-target_link_libraries (${EXE_NAME} Qt5::Widgets Qt5::Svg)
+target_link_libraries (${EXE_NAME} Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Svg)
+if (${QT_VERSION_MAJOR} EQUAL "6")
+    target_link_libraries (${EXE_NAME} Qt::SvgWidgets)
+endif ()
 
 if (LibExiv2_FOUND)
     message(INFO ${LibExiv2_INCLUDE_DIRS})
@@ -116,9 +135,9 @@
     )
 endif ()
 
-if (Qt5DBus_FOUND)
+if (Qt5DBus_FOUND OR Qt6DBus_FOUND)
     target_link_libraries (${EXE_NAME}
-        Qt5::DBus
+        Qt${QT_VERSION_MAJOR}::DBus
     )
     target_compile_definitions(${EXE_NAME} PRIVATE
         HAVE_QTDBUS
@@ -179,28 +198,14 @@
     endif ()
 endif ()
 
-# Helper macros for install settings
-macro (ppic_convert_to_relative_path _var)
-    # Make sure _var is a relative path
-    if (IS_ABSOLUTE "${${_var}}")
-        file (RELATIVE_PATH ${_var} "${CMAKE_INSTALL_PREFIX}" "${${_var}}")
-    endif ()
-endmacro ()
-
 # Install settings
 if (WIN32)
-    # FIXME: try to avoid install to a "bin" subfolder under windows...
-    #        when fixed, don't forget to update the CI config file...
-    set (BIN_INSTALL_DIR "") # seems useless, don't know why...
+    # TODO: try to avoid install to a "bin" subfolder under windows...
+    #       when fixed, don't forget to update the CI config file...
 elseif (UNIX)
     if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
         set(CMAKE_INSTALL_PREFIX /usr)
     endif ()
-
-    set (BIN_INSTALL_DIR "${CMAKE_INSTALL_BINDIR}") # relative, usually "bin"
-    ppic_convert_to_relative_path(BIN_INSTALL_DIR)
-    set (LIB_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}") # "lib" or "lib64"
-    ppic_convert_to_relative_path(LIB_INSTALL_DIR)
 
     # install icon
     install (
@@ -223,9 +228,9 @@
 endif()
 
 set (INSTALL_TARGETS_DEFAULT_ARGS
-    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
-    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
-    ARCHIVE DESTINATION ${LIB_INSTALL_DIR} COMPONENT Devel
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Devel
 )
 
 install (
