=== debian/changelog ===
pineapple-pictures (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
    - Update copyright.
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 16 Jun 2023 22:13:01 +0100
