=== debian/changelog ===
pineapple-pictures (0.7.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:10:30 +1100

pineapple-pictures (0.7.3-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:24:20 +0000

pineapple-pictures (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 21 Jan 2024 22:26:26 +0000
