=== debian/changelog ===
pineapple-pictures (0.7.4-1) unstable; urgency=medium

  * New upstream version 0.7.4
    - Update copyright.
    - Update to qt6.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 May 2024 10:15:59 +0100
