=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pineapple-pictures
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
-Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev,
- libqt5svg5-dev, qttools5-dev, libexiv2-dev
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Build-Depends: debhelper-compat (= 13), cmake, qt6-base-dev,
+ qt6-svg-dev, qt6-tools-dev, libexiv2-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/BLumia/pineapple-pictures
 Vcs-Browser: https://salsa.debian.org/sudip/pineapple-pictures
