## pineapple-pictures 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -115,7 +115,11 @@
     ${PPIC_RC_FILES}
 )
 
-qt_create_translation(PPIC_QM_FILES ${PPIC_CPP_FILES_FOR_I18N} ${PPIC_TS_FILES})
+if (${QT_VERSION_MAJOR} EQUAL "6")
+    qt_add_translations(${EXE_NAME} TS_FILES ${PPIC_TS_FILES} QM_FILES_OUTPUT_VARIABLE PPIC_QM_FILES)
+else()
+    qt_create_translation(PPIC_QM_FILES ${PPIC_CPP_FILES_FOR_I18N} ${PPIC_TS_FILES})
+endif()
 
 target_sources(${EXE_NAME} PRIVATE ${PPIC_QM_FILES})
 
@@ -264,7 +268,7 @@
     # ...
 elseif (UNIX)
     set (CPACK_SYSTEM_NAME "${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}")
-    set (CPACK_DEBIAN_PACKAGE_SHILIBDEPS ON)
+    set (CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
     set (CPACK_DEBIAN_PACKAGE_RECOMMENDS "kimageformat-plugins")
 endif()
