=== debian/changelog ===
pineapple-pictures (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 27 Jul 2024 10:46:29 +0100
