=== debian/changelog ===
pineapple-pictures (0.8.2.1-1) unstable; urgency=medium

  * New upstream version 0.8.2.1
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 03 Nov 2024 22:08:54 +0000

pineapple-pictures (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 15 Oct 2024 21:21:51 +0100
