## pineapple-pictures 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 #
 # SPDX-License-Identifier: MIT
 
-cmake_minimum_required (VERSION 3.9.5)
-
-project(pineapple-pictures VERSION 0.8.2.1) # don't forget to update NEWS file and AppStream metadata.
+cmake_minimum_required(VERSION 3.16)
+
+project(pineapple-pictures VERSION 0.9.0) # don't forget to update NEWS file and AppStream metadata.
 
 include (GNUInstallDirs)
 include (FeatureSummary)
@@ -66,6 +66,7 @@
     app/metadatadialog.cpp
     app/exiv2wrapper.cpp
     app/playlistmanager.cpp
+    app/shortcutedit.cpp
 )
 
 set (PPIC_HEADER_FILES
@@ -85,6 +86,7 @@
     app/metadatadialog.h
     app/exiv2wrapper.h
     app/playlistmanager.h
+    app/shortcutedit.h
 )
 
 set (PPIC_QRC_FILES
@@ -105,7 +107,7 @@
     list(APPEND PPIC_RC_FILES assets/pineapple-pictures.rc)
 endif ()
 
-add_executable (${EXE_NAME} WIN32
+add_executable (${EXE_NAME}
     ${PPIC_HEADER_FILES}
     ${PPIC_CPP_FILES}
     ${PPIC_QRC_FILES}
@@ -199,8 +201,24 @@
 
 # Install settings
 if (WIN32)
-    # TODO: try to avoid install to a "bin" subfolder under windows...
-    #       when fixed, don't forget to update the CI config file...
+    set_target_properties(${EXE_NAME} PROPERTIES
+        WIN32_EXECUTABLE TRUE
+    )
+elseif (APPLE)
+    set_source_files_properties(assets/icons/app-icon.icns PROPERTIES
+        MACOSX_PACKAGE_LOCATION "Resources"
+    )
+    target_sources(${EXE_NAME} PUBLIC assets/icons/app-icon.icns)
+    # See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
+    set_target_properties(${EXE_NAME} PROPERTIES
+        MACOSX_BUNDLE TRUE
+        MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/dist/MacOSXBundleInfo.plist.in
+        MACOSX_BUNDLE_BUNDLE_NAME "Pineapple Pictures"
+        MACOSX_BUNDLE_GUI_IDENTIFIER net.blumia.pineapple-pictures
+        MACOSX_BUNDLE_ICON_FILE app-icon.icns # contains the .icns file name, *without* the path.
+        MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
+        MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
+    )
 elseif (UNIX)
     if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
         set(CMAKE_INSTALL_PREFIX /usr)
@@ -227,6 +245,7 @@
 endif()
 
 set (INSTALL_TARGETS_DEFAULT_ARGS
+    BUNDLE DESTINATION .
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Devel
