=== debian/changelog ===
pineapple-pictures (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 27 Dec 2024 14:33:57 +0000
