## pineapple-pictures 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,14 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(pineapple-pictures VERSION 0.9.0) # don't forget to update NEWS file and AppStream metadata.
+project(pineapple-pictures VERSION 0.9.1) # don't forget to update NEWS file and AppStream metadata.
 
 include (GNUInstallDirs)
 include (FeatureSummary)
 
 option (EXIV2_METADATA_SUPPORT "Better image metadata support via libexiv2" ON)
 option (PREFER_QT_5 "Prefer to use Qt 5" OFF)
+option (TRANSLATION_RESOURCE_EMBEDDING "Embedding .qm translation files inside resource" OFF)
 
 set (CMAKE_CXX_STANDARD 17)
 set (CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -67,6 +68,7 @@
     app/exiv2wrapper.cpp
     app/playlistmanager.cpp
     app/shortcutedit.cpp
+    app/fileopeneventhandler.cpp
 )
 
 set (PPIC_HEADER_FILES
@@ -87,6 +89,7 @@
     app/exiv2wrapper.h
     app/playlistmanager.h
     app/shortcutedit.h
+    app/fileopeneventhandler.h
 )
 
 set (PPIC_QRC_FILES
@@ -115,7 +118,11 @@
 )
 
 if (${QT_VERSION_MAJOR} EQUAL "6")
-    qt_add_translations(${EXE_NAME} TS_FILES ${PPIC_TS_FILES} QM_FILES_OUTPUT_VARIABLE PPIC_QM_FILES)
+    if (TRANSLATION_RESOURCE_EMBEDDING)
+        qt_add_translations(${EXE_NAME} TS_FILES ${PPIC_TS_FILES})
+    else()
+        qt_add_translations(${EXE_NAME} TS_FILES ${PPIC_TS_FILES} QM_FILES_OUTPUT_VARIABLE PPIC_QM_FILES)
+    endif()
 else()
     qt_create_translation(PPIC_QM_FILES ${PPIC_CPP_FILES_FOR_I18N} ${PPIC_TS_FILES})
 endif()
@@ -256,19 +263,25 @@
     ${INSTALL_TARGETS_DEFAULT_ARGS}
 )
 
-if (WIN32)
+if (TRANSLATION_RESOURCE_EMBEDDING)
+    target_compile_definitions(${EXE_NAME}
+        PRIVATE TRANSLATION_RESOURCE_EMBEDDING
+    )
+elseif (WIN32)
     set (QM_FILE_INSTALL_DIR "${CMAKE_INSTALL_BINDIR}/translations")
-else ()
+else()
     set (QM_FILE_INSTALL_DIR "${CMAKE_INSTALL_FULL_DATADIR}/pineapple-pictures/translations")
     target_compile_definitions(${EXE_NAME}
-        PRIVATE QM_FILE_INSTALL_DIR=${QM_FILE_INSTALL_DIR}
-    )
-endif ()
-
-install (
-    FILES ${PPIC_QM_FILES}
-    DESTINATION ${QM_FILE_INSTALL_DIR}
-)
+        PRIVATE QM_FILE_INSTALL_ABSOLUTE_DIR=${QM_FILE_INSTALL_DIR}
+    )
+endif()
+
+if (DEFINED QM_FILE_INSTALL_DIR)
+    install(
+        FILES ${PPIC_QM_FILES}
+        DESTINATION ${QM_FILE_INSTALL_DIR}
+    )
+endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
