=== debian/changelog ===
pineapple-pictures (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 21:11:03 +0000
