=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), cmake, qt6-base-dev,
  qt6-svg-dev, qt6-tools-dev, libexiv2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/BLumia/pineapple-pictures
 Vcs-Browser: https://salsa.debian.org/sudip/pineapple-pictures
 Vcs-Git: https://salsa.debian.org/sudip/pineapple-pictures.git
