## pineapple-pictures 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# SPDX-FileCopyrightText: 2022 - 2024 Gary Wang <git@blumia.net>
+# SPDX-FileCopyrightText: 2022 - 2025 Gary Wang <git@blumia.net>
 #
 # SPDX-License-Identifier: MIT
 
 cmake_minimum_required(VERSION 3.16)
 
-project(pineapple-pictures VERSION 0.9.1) # don't forget to update NEWS file and AppStream metadata.
-
-include (GNUInstallDirs)
-include (FeatureSummary)
+project(pineapple-pictures VERSION 0.9.2) # don't forget to update NEWS file and AppStream metadata.
+
+include(GNUInstallDirs)
+include(FeatureSummary)
 
 option (EXIV2_METADATA_SUPPORT "Better image metadata support via libexiv2" ON)
 option (PREFER_QT_5 "Prefer to use Qt 5" OFF)
@@ -40,11 +40,11 @@
 endif ()
 
 if (EXIV2_METADATA_SUPPORT)
-    find_package(Exiv2)
-    set_package_properties(Exiv2 PROPERTIES
+    find_package(exiv2)
+    set_package_properties(exiv2 PROPERTIES
         URL "https://www.exiv2.org"
         DESCRIPTION "image metadata support"
-        TYPE OPTIONAL
+        TYPE RECOMMENDED
         PURPOSE "Bring better image metadata support"
     )
 endif ()
@@ -134,7 +134,7 @@
     target_link_libraries (${EXE_NAME} Qt::SvgWidgets)
 endif ()
 
-if (Exiv2_FOUND)
+if (exiv2_FOUND)
     if(NOT TARGET Exiv2::exiv2lib AND TARGET exiv2lib)
         # for exiv2 0.27.x
         add_library(Exiv2::exiv2lib ALIAS exiv2lib)
@@ -143,7 +143,7 @@
         Exiv2::exiv2lib
     )
     target_compile_definitions(${EXE_NAME} PRIVATE
-        HAVE_EXIV2_VERSION="${Exiv2_VERSION}"
+        HAVE_EXIV2_VERSION="${exiv2_VERSION}"
     )
 endif ()
