=== debian/changelog ===
pineapple-pictures (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
    - Update copyright.
  * Update Standards-Version to 4.7.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 06 Apr 2025 16:31:24 +0100
