## pineapple-pictures 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(pineapple-pictures VERSION 0.9.2) # don't forget to update NEWS file and AppStream metadata.
+project(pineapple-pictures VERSION 1.0.0) # don't forget to update NEWS file and AppStream metadata.
 
 include(GNUInstallDirs)
 include(FeatureSummary)
@@ -118,10 +118,16 @@
 )
 
 if (${QT_VERSION_MAJOR} EQUAL "6")
+    set(ADD_TRANSLATIONS_ADDITIONAL_ARGS)
+
+    if (Qt6_VERSION VERSION_GREATER_EQUAL "6.9.0")
+        set(ADD_TRANSLATIONS_ADDITIONAL_ARGS MERGE_QT_TRANSLATIONS)
+    endif()
+
     if (TRANSLATION_RESOURCE_EMBEDDING)
-        qt_add_translations(${EXE_NAME} TS_FILES ${PPIC_TS_FILES})
+        qt_add_translations(${EXE_NAME} ${ADD_TRANSLATIONS_ADDITIONAL_ARGS} TS_FILES ${PPIC_TS_FILES})
     else()
-        qt_add_translations(${EXE_NAME} TS_FILES ${PPIC_TS_FILES} QM_FILES_OUTPUT_VARIABLE PPIC_QM_FILES)
+        qt_add_translations(${EXE_NAME} ${ADD_TRANSLATIONS_ADDITIONAL_ARGS} TS_FILES ${PPIC_TS_FILES} QM_FILES_OUTPUT_VARIABLE PPIC_QM_FILES)
     endif()
 else()
     qt_create_translation(PPIC_QM_FILES ${PPIC_CPP_FILES_FOR_I18N} ${PPIC_TS_FILES})
