=== debian/changelog ===
pineapple-pictures (1.0.0-1deepin1) unstable; urgency=medium

  * New upstream release.

 -- lhdjply <lhdjply@126.com>  Tue, 29 Apr 2025 13:57:38 +0800
