=== debian/control ===
Source: pineapple-pictures
Section: graphics
Priority: optional
Maintainer: Wang Zichong <wangzichong@deepin.org>
Build-Depends: debhelper-compat (= 13),
               cmake, 
               qt6-tools-dev,
               qt6-svg-dev,
               libexiv2-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/BLumia/pineapple-pictures/
Vcs-Browser: https://github.com/deepin-community/pineapple-pictures
Vcs-Git: https://github.com/deepin-community/pineapple-pictures.git

Package: pineapple-pictures
Section: graphics
Priority: optional
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: kimageformat6-plugins
Description: Pineapple Pictures is a lightweight image viewer
 Pineapple Pictures is a lightweight image viewer that allows you view JPEG, PNG, GIF, SVG, PSD, KRA, XCF, TGA, AVIF and some other frequently used image formats files quickly and easily, and also provide a Stay-on-Top window setting that allows you pin the window so you can use it to pin a reference image at the top and then you can work with other software.
