=== debian/changelog ===
pineapple-pictures (1.1.0-1deepin1) unstable; urgency=medium

  * New upstream release.

 -- Gary Wang <opensource@blumia.net>  Fri, 11 Jul 2025 19:30:00 +0800
