=== debian/changelog ===
pineapple-pictures (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 29 Aug 2025 23:17:57 +0100
