## pineapple-pictures 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(pineapple-pictures VERSION 1.1.1) # don't forget to update NEWS file and AppStream metadata.
+project(pineapple-pictures VERSION 1.3.0) # don't forget to update NEWS file and AppStream metadata.
 
 include(GNUInstallDirs)
 include(FeatureSummary)
@@ -94,7 +94,8 @@
 set (PPIC_CPP_FILES_FOR_I18N ${PPIC_CPP_FILES})
 
 if (WIN32)
-    list(APPEND PPIC_RC_FILES assets/pineapple-pictures.rc)
+    configure_file(assets/pineapple-pictures.rc.in pineapple-pictures.rc @ONLY)
+    list(APPEND PPIC_RC_FILES ${CMAKE_CURRENT_BINARY_DIR}/pineapple-pictures.rc)
 endif ()
 
 add_executable (${EXE_NAME}
@@ -269,6 +270,25 @@
     )
 endif()
 
+if (WIN32)
+    install(
+        FILES dist/passoc/ppic.pacfg
+        DESTINATION ${CMAKE_INSTALL_BINDIR}
+        RENAME default-assoc.pacfg
+    )
+
+    install(
+        FILES
+            dist/passoc/generic.ico
+            dist/passoc/jpeg.ico
+            dist/passoc/gif.ico
+            dist/passoc/svg.ico
+            dist/passoc/png.ico
+            dist/passoc/psd.ico
+        DESTINATION "${CMAKE_INSTALL_BINDIR}/icons"
+    )
+endif()
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 # CPACK: General Settings
@@ -284,7 +304,7 @@
 elseif (UNIX)
     set (CPACK_SYSTEM_NAME "${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}")
     set (CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
-    set (CPACK_DEBIAN_PACKAGE_RECOMMENDS "kimageformat-plugins")
+    set (CPACK_DEBIAN_PACKAGE_RECOMMENDS "kimageformat6-plugins")
 endif()
 
 include(CPack)
