=== debian/changelog ===
pineapple-pictures (1.3.0-1) unstable; urgency=medium

  [ Gary Wang ]
  * Correct app description

  [ Sudip Mukherjee ]
  * New upstream version 1.3.0
  * Update Standards-Version to 4.7.3

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 01 Feb 2026 18:28:40 +0000
