=== debian/control ===
Source: pineapple-pictures
Section: graphics
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), cmake, qt6-base-dev,
 qt6-svg-dev, qt6-tools-dev, libexiv2-dev
Standards-Version: 4.7.3
Homepage: https://github.com/BLumia/pineapple-pictures
Vcs-Browser: https://salsa.debian.org/sudip/pineapple-pictures
Vcs-Git: https://salsa.debian.org/sudip/pineapple-pictures.git

Package: pineapple-pictures
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Qt-based image viewer
 An uncluttered and fast image viewer which is very simple and easy to
 use. There is also an option to make the window stay on top so users
 can also pin the window with their image as a reference image window
 and work with other software they want. This software will always keep
 the image file as-is, will never accidentally modify the original
 image file when you just simply rotated the image and etc.
 .
 Key features:
   - Minimized UI
   - Fast
   - Easy to use
   - High quality scaling
   - Never modify the original image file
   - Stay-on-top option available for pinning reference image
     and work with other applications
